function f=pkforce(sigext,b01,r0,r1)
% Computes nodal force on dislocation segment r0-r1 due to applied stress sigext
% Burgers vector of this segment is b01.
% Both nodes will experience the same force f/2. 
%
% f=cross(sigext*b01,r1-r0);

f=cross(sigext*b01,r1-r0);
