%testloop8.m
%
% test consistency between GB and nonsingular theory

%prismatic loop
a=0.1;
R=10;
MU=1;
NU=0.3;
b=1;

fGB=-MU*b^2/4/pi/(1-NU)/R * ( log(8*R/a) - (1-2*NU)/4/(1-NU) );
disp(sprintf('prismatic loop: fGB = %20.15e',fGB));

fNS=-MU*b^2/4/pi/(1-NU)/R * ( log(8*R/a) );
disp(sprintf('prismatic loop: fNS = %20.15e',fNS));

Ecoreedge = MU*b^2/16/pi * (1-2*NU)/(1-NU)^2;
fc1 = -Ecoreedge/R;
disp(sprintf('prismatic loop: fc1 = %20.15e',fc1));

Ecorescrew = MU*b^2/8/pi;
fc2 = -Ecoreedge/R;
disp(sprintf('prismatic loop: fc2 = %20.15e',fc2));




