function W=engparallelb2(MU,NU,b1,b2,x1,x2,y1,y2,eta,a)
% HL p.167 Eq.(6-44) with b1=b2 
b1x=b1(1);
b1y=b1(2);
b1z=b1(3);

b2x=b2(1);
b2y=b2(2);
b2z=b2(3);

Rab=Rp(x2,y2,eta,a)-Rp(x2,y1,eta,a)-Rp(x1,y2,eta,a)+Rp(x1,y1,eta,a);

%[b1',b2',x1,x2,y1,y2,eta,a,Rab]
%b1

ap=sqrt(eta^2+a^2);
Iab=Ia(x2,y2,1,ap)-Ia(x2,y1,1,ap)-Ia(x1,y2,1,ap)+Ia(x1,y1,1,ap);
Jab=Ja(x2,y2,1,ap)-Ja(x2,y1,1,ap)-Ja(x1,y2,1,ap)+Ja(x1,y1,1,ap);



W= MU/4/pi*(b1x*b2x+(b1z*b2z+b1y*b2y)/(1-NU))*Iab ...
  + MU/4/pi*(b1x*b2x)*(a.^2/2)*Jab ...
  - MU/4/pi/(1-NU)*b1z*b2z*eta*eta*Jab;


